Bug 1373108 - Whitelist 'type=*' option in config
Whitelist 'type=*' option in config
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-05 04:45 EDT by Miroslav Suchý
Modified: 2016-10-04 14:04 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-04 14:04:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2016-09-05 04:45:37 EDT
Description of problem:
Dnf will emits warnings (as I have been told) on unknown key=values in config.
We just merged to Copr this PR:
https://github.com/fedora-copr/copr/pull/12/commits/e66eb73f2b4a80096f055a5d5e78012f80355b09
It would be nice if DNF will not emit such warning. I.e if you can whitelist type=* in config.

This option is used and recognized by zypper.
Comment 1 Igor Gnatenko 2016-09-05 04:51:12 EDT
Are there description what this option should do?
Comment 2 Miroslav Suchý 2016-09-06 11:04:00 EDT
From:
https://en.opensuse.org/SDB:Zypper_manual_(plain)

Repository Management
       Zypper  is  able to work with YaST, RPM-MD (yum) software repositories,
       and plain directories containing .rpm files.
 
       Repositories are primarily identified using their URI or alias.   Alias
       serves  as a shorthand for the long URI or name of the repository.  The
       name of the repository should briefly describe the  repository  and  is
       shown to the user in tables and messages. The name is not required, and
       if not known, the alias is shown instead. The  alias  is  required  and
       uniquely identifies the repository on the system.
 
       The  alias, name, URI, or the number from zypper repos list can be used
       to specify a repository as an argument of various zypper  commands  and
       options like refresh, --repo, or --from.
...
       -t, --type <type>
              Type of repository (yast2, rpm-md, or plaindir). There are  sev-
              eral  aliases  defined  for these types: yast2 - susetags, yast,
              YaST, YaST2, YAST; rpm-md - repomd, rpmmd, yum, YUM; plaindir  -
              Plaindir.
Comment 3 Jaroslav Mracek 2016-09-16 07:54:33 EDT
Here is PR: https://github.com/rpm-software-management/dnf/pull/612

Note You need to log in before you can comment on or make changes to this bug.